// FILENAME: Server_TDM_All.cs
//
//Team Deathmatch Server


exec(serverLocation);
//-------------------------------------------------
//  RC file to start a server automatically
//-------------------------------------------------

//-------------------------------------------------
// Edit the parameters of this file to configure
// your server options. Use notepad, not a word
// processor. File must be saved as text only.
//-------------------------------------------------

//-------------------------------------------------
// Type the name for your server inside the quotes
// Must be less then 22 characters
//-------------------------------------------------
$server::Hostname =                                strcat($Location, ": + SLaSh's BLitZ! +");

//-------------------------------------------------
// Password Protection. Leave blank for none.
// Quotes optional.
//-------------------------------------------------
$server::Password =                                 "";

//-------------------------------------------------
// Maximum player limit. 16 is highest recommended.
//-------------------------------------------------
$server::MaxPlayers =                              8;

//-------------------------------------------------
// Number of kills before server cycles.
// If zero, kills are never reset.
//-------------------------------------------------
$server::FragLimit =                               0;

//-------------------------------------------------
// Time limit in minutes before server cycles.
// Must be a positive integer.
//-------------------------------------------------
$server::TimeLimit =                               20;

//-------------------------------------------------
// Mass limit per player
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::MassLimit =                               0;

//-------------------------------------------------
// Combat Value limit per player
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::CombatValueLimit =                         0;

//-------------------------------------------------
// Team play options. TeamPlay false =  deathmatch.
// TeamPlay true = teams
//-------------------------------------------------
$server::TeamPlay =                               true;

//-------------------------------------------------
// Team Mass limit - valid only when teamPlay is true
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::TeamMassLimit =                            0;

//-------------------------------------------------
// Team Combat Value Limit - valid only when teamPlay is true
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::TeamCombatValueLimit =                     0;

//-------------------------------------------------
// Tech Level Limit
// Must be a positive integer less then or
// equal to 128 or zero for no limit.
//-------------------------------------------------
$server::TechLevelLimit =                          0;

//-------------------------------------------------
// Drop In Progress
// Does server allow drop in progress??
//-------------------------------------------------
$server::DropInProgress =                            TRUE  ;

$server::AllowMixedTech =                            TRUE  ;
$server::FactoryVehOnly =                           FALSE  ;
$server::AllowTeamRed =                             FALSE  ;
$server::AllowTeamYellow =                           TRUE  ;
$server::AllowTeamBlue =                            FALSE  ;
$server::AllowTeamPurple =                           TRUE  ;

//-------------------------------------------------
// Mission rotation list. This is the order the
// worlds will cycle in a game with either the frag
// or time limits set.
//-------------------------------------------------
$MissionCycling::Stage0 =                          "DM_Blitz_Arena";

//-------------------------------------------------
// Start mission. Defines which mission from the
// rotation list the server starts on.
//-------------------------------------------------
$server::Mission =                                  $MissionCycling::Stage0;

// These items will be allowed by default -- your mission script can change these
// by calling allowVehicle, allowComponent, or allowWeapon
function setAllowedItems()
{
	//Vehicles
	allowVehicle( all, false);
	allowVehicle(                                           20,  TRUE  );      //Seeker
	allowVehicle(                                           21,  TRUE  );      //Goad
	allowVehicle(                                           22, FALSE  );      //Shepherd
	allowVehicle(                                           23, FALSE  );      //Adjudicator
	allowVehicle(                                           24, FALSE  );      //Executioner
	allowVehicle(                                            4,  TRUE  );      //Terran Talon
	allowVehicle(                                           13,  TRUE  );      //Knight's Talon
	allowVehicle(                                            2, FALSE  );      //Terran Minotaur
	allowVehicle(                                           11, FALSE  );      //Knight's Minotaur
	allowVehicle(                                            5, FALSE  );      //Terran Basilisk
	allowVehicle(                                           14, FALSE  );      //Knight's Basilisk
	allowVehicle(                                            1, FALSE  );      //Terran Apocalypse
	allowVehicle(                                           10, FALSE  );      //Knight's Apocalypse
	allowVehicle(                                           40, FALSE  );      //Harabec's Apocalypse
	allowVehicle(                                            3, FALSE  );      //Terran Gorgon
	allowVehicle(                                           12, FALSE  );      //Knight's Gorgon
	allowVehicle(                                           30,  TRUE  );      //Emancipator
	allowVehicle(                                           33, FALSE  );      //Olympian
	allowVehicle(                                           52,  TRUE  );      //Pirate Emancipator
	allowVehicle(                                           55, FALSE  );      //Player Plat Adjudicator
	allowVehicle(                                           56, FALSE  );      //Player Plat Executioner
	allowVehicle(                                           35,  TRUE  );      //Metagen Seeker
	allowVehicle(                                           36,  TRUE  );      //Metagen Goad
	allowVehicle(                                           37, FALSE  );      //Metagen Shepherd

	allowVehicle(                                           25,  TRUE  );      //Bolo
	allowVehicle(                                           26, FALSE  );      //Recluse
	allowVehicle(                                           41,  TRUE  );      //Predator
	allowVehicle(                                           31,  TRUE  );      //Avenger
	allowVehicle(                                           32, FALSE  );      //Dreadlock
	allowVehicle(                                            8,  TRUE  );      //Disrupter
	allowVehicle(                                            7, FALSE  );      //Myrmidon
	allowVehicle(                                            6,  TRUE  );      //Paladin
	allowVehicle(                                           17,  TRUE  );      //Knight Disrupter
	allowVehicle(                                           16,  TRUE  );      //Knight Myrmidon
	allowVehicle(                                           15,  TRUE  );      //Knight Paladin
	allowVehicle(                                          138, FALSE  );      
	allowVehicle(                                          150, FALSE  );

	//weapons
	allowWeapon(                                       all,     FALSE  );
	allowWeapon(                                           101,  TRUE  );      //Laser
	allowWeapon(                                           102,  TRUE  );      //Heavy Laser
	allowWeapon(                                           103,  TRUE  );      //Comp Laser
	allowWeapon(                                           104,  TRUE  );      //Twin Laser
	allowWeapon(                                           105,  TRUE  );      //Emp
	allowWeapon(                                           106,  TRUE  );      //ELF
	allowWeapon(                                           107,  TRUE  );      //Blaster
	allowWeapon(                                           108,  TRUE  );      //Heavy Blaster
	allowWeapon(                                           109,  TRUE  );      //PBW
	allowWeapon(                                           110, FALSE  );      //Plasma
	allowWeapon(                                           111, FALSE  );      //Blink Gun
	allowWeapon(                                           112,  TRUE  );      //Qgun
	allowWeapon(                                           113,  TRUE  );      //MFAC
	allowWeapon(                                           114, FALSE  );      //Nano Infuser
	allowWeapon(                                           115, FALSE  );      //Nanite Cannon
	allowWeapon(                                           116,  TRUE  );      //Autocannon
	allowWeapon(                                           117, FALSE  );      //Hvy Autocannon
	allowWeapon(                                           118,  TRUE  );      //EMC Autocannon
	allowWeapon(                                           119,  TRUE  );      //Blast Cannon
	allowWeapon(                                           120,  TRUE  );      //Hvy Blast Can
	allowWeapon(                                           121,  TRUE  );      //Rail Gun
	allowWeapon(                                           124, FALSE  );      //Pit Viper 8
	allowWeapon(                                           125, FALSE  );      //Pit Viper 12
	allowWeapon(                                           126, FALSE  );      //Sparrow 6
	allowWeapon(                                           127, FALSE  );      //Sparrow 10
	allowWeapon(                                           128, FALSE  );      //SWARM 6
	allowWeapon(                                           129, FALSE  );      //Minion
	allowWeapon(                                           130, FALSE  );      //Shrike 8
	allowWeapon(                                           147, FALSE  );      //Aphid
	allowWeapon(                                           131, FALSE  );      //Arachnitron 4
	allowWeapon(                                           132, FALSE  );      //Arachnitron 8
	allowWeapon(                                           133, FALSE  );      //Arachnitron 12
	allowWeapon(                                           134, FALSE  );      //Proximity 6
	allowWeapon(                                           135, FALSE  );      //Proximity 10
	allowWeapon(                                           136, FALSE  );      //Proximity 15
	allowWeapon(                                           142, FALSE  );      //Radiation Gun
	allowWeapon(                                             3, FALSE  );      //Disrupter
	allowWeapon(                                           150, FALSE  );      //SMART Gun

	//Components
	//Reactors
	allowComponent(                                        200,  TRUE  );      //Human Micro Reactor
	allowComponent(                                        201,  TRUE  );      //Small Human Reactor 2 -- small
	allowComponent(                                        202,  TRUE  );      //Medium Human Reactor 1 Standard
	allowComponent(                                        203,  TRUE  );      //Medium Human Reactor 2 medium
	allowComponent(                                        204,  TRUE  );      //Large Human Reactor 1 -- large
	allowComponent(                                        205,  TRUE  );      //Large Human Reactor 2-- Maxim
	allowComponent(                                        225,  TRUE  );      //Small Cybrid Reactor 1 -- Alpha
	allowComponent(                                        226,  TRUE  );      //Small Cybrid Reactor 2-- Beta
	allowComponent(                                        227,  TRUE  );      //Medium Cybrid Reactor 1 -- Gamma
	allowComponent(                                        228,  TRUE  );      //Medium Cybrid Reactor 2--delta
	allowComponent(                                        229,  TRUE  );      //Large Cybrid Reactor 1--epsilon
	allowComponent(                                        230,  TRUE  );      //Large Cybrid Reactor 2--theta
	//Shields
	allowComponent(                                        300,  TRUE  );      //Human Standard Shield
	allowComponent(                                        301,  TRUE  );      //Human Protector Shield
	allowComponent(                                        302, FALSE  );      //Human Guardian Shield
	allowComponent(                                        303, FALSE  );      //Human FastCharge Shield
	allowComponent(                                        304, FALSE  );      //Human Centurian Shield
	allowComponent(                                        305, FALSE  );      //Human Repulsor Shield
	allowComponent(                                        306, FALSE  );      //Human Titan Shield
	allowComponent(                                        307, FALSE  );      //Human Medusa Shield
	allowComponent(                                        326,  TRUE  );      //Cybrid Alpha Shield
	allowComponent(                                        327,  TRUE  );      //Cybrid Beta Shield
	allowComponent(                                        328, FALSE  );      //Cybrid Gamma Shield
	allowComponent(                                        329, FALSE  );      //Cybrid Delta Shield
	allowComponent(                                        330, FALSE  );      //Cybrid Epsilon Shield
	allowComponent(                                        331, FALSE  );      //Cybrid Zeta Shield
	allowComponent(                                        332, FALSE  );      //Cybrid Eta Shield
	allowComponent(                                        333, FALSE  );      //Cybrid Theta Shield

	//Sensors
	allowComponent(                                        400, FALSE  );      //Basic Human Sensor
	allowComponent(                                        401, FALSE  );      //Long Range Sensor -- Ranger
	allowComponent(                                        408, FALSE  );      //Standard Human Sensor
	allowComponent(                                        409, FALSE  );      //Human Longbow Sensor
	allowComponent(                                        410, FALSE  );      //Human Infiltrator Sensor
	allowComponent(                                        411, FALSE  );      //Human Crossbow Sensor
	allowComponent(                                        412, FALSE  );      //Human Ultralight Sensor
	allowComponent(                                        413, FALSE  );      //Human Hound Dog Sensor
	allowComponent(                                        414, FALSE  );      //Thermal Sensor
	allowComponent(                                        426, FALSE  );      //Basic Cybrid Sensor (Alpha)
	allowComponent(                                        427, FALSE  );      //Long Range Cybrid Sensor (Beta)
	allowComponent(                                        428, FALSE  );      //Standard Cybrid Sensor (Gamma)
	allowComponent(                                        429, FALSE  );      //Cybrid Longbow Sensor (Delta)
	allowComponent(                                        430, FALSE  );      //Cybrid Infiltrator Sensor (Epsilon)
	allowComponent(                                        431, FALSE  );      //Cybrid Crossbow Sensor (Zeta)
	allowComponent(                                        432, FALSE  );      //Cybrid Ultralight Sensor (Eta)
	allowComponent(                                        433, FALSE  );      //Cybrid Hound Dog Sensor (Theta)
	allowComponent(                                        434, FALSE  );      //Motion Detector (Iota)

	//Engines
	allowComponent(                                        100, FALSE  );      //Human Light Vehicle Engine
	allowComponent(                                        101,  TRUE  );      //Human High Output Light Engine
	allowComponent(                                        102,  TRUE  );      //Human Agile Light Engine
	allowComponent(                                        103, FALSE  );      //Human Standard Medium Engine
	allowComponent(                                        104, FALSE  );      //Human High Output Medium Engine
	allowComponent(                                        105,  TRUE  );      //Human Medium Agility Engine
	allowComponent(                                        106, FALSE  );      //Human Standard Heavy Engine
	allowComponent(                                        107, FALSE  );      //Human Improved Heavy Engine
	allowComponent(                                        108, FALSE  );      //Human Heavy Cruise Engine
	allowComponent(                                        109, FALSE  );      //Human High Output Heavy Engine
	allowComponent(                                        110,  TRUE  );      //Human Agile Heavy Engine
	allowComponent(                                        111, FALSE  );      //Human Standard Assault Engine
	allowComponent(                                        112,  TRUE  );      //Human Improved Assault Engine
	allowComponent(                                        113, FALSE  );      //Human heavy turbine engine
	allowComponent(                                        114,  TRUE  );      //High Output Turbine (HOT)
	allowComponent(                                        115,  TRUE  );      //Human super heavy engine
	allowComponent(                                        128, FALSE  );      //Cybrid Alpha Light Vehicle Engine
	allowComponent(                                        129, FALSE  );      //Cybrid Beta Light Agility Engine
	allowComponent(                                        130, FALSE  );      //Cybrid Gamma Standard Medium Engine
	allowComponent(                                        131, FALSE  );      //Cybrid Delta Medium Cruise Engine
	allowComponent(                                        132, FALSE  );      //Cybrid Epsilon Improved Medium Engine
	allowComponent(                                        133, FALSE  );      //Cybrid Zeta Medium High Output Engine
	allowComponent(                                        134, FALSE  );      //Cybrid Eta Medium Agility Engine
	allowComponent(                                        135, FALSE  );      //Cybrid Theta Standard Heavy Engine
	allowComponent(                                        136, FALSE  );      //Cybrid Iota Heavy High Output Engine
	allowComponent(                                        137, FALSE  );      //Cybrid Kappa Heavy Agility Engine
	allowComponent(                                        138, FALSE  );      //Cybrid Lamda Standard Assault Engine
	allowComponent(                                        139, FALSE  );      //Cybrid Mu Improved Assault Engine
	allowComponent(                                        140, FALSE  );      //Cybrid Nu High Output Assault Engine
	allowComponent(                                        141, FALSE  );      //Cybrid Xi Heavy Assault Engine
	allowComponent(                                        142, FALSE  );      //Cybrid Omicron Heavy Assault Turbine
	allowComponent(                                        143, FALSE  );      //Cybrid Pi Super Heavy Turbine

	//Armor
	allowComponent(                                        926, FALSE  );      //Carbon Fiber (CARLAM)
	allowComponent(                                        927,  TRUE  );      //Quad Bonded Metaplas (QBM)
	allowComponent(                                        928,  TRUE  );      //DURAC (Depleteted Uranium)
	allowComponent(                                        929, FALSE  );      //Ceramic
	allowComponent(                                        930, FALSE  );      //Crystaluminum
	allowComponent(                                        931,  TRUE  );      //Quicksilver

	//Internal Components
	allowComponent(                                        800,  TRUE  );      //Human Basic Computer
	allowComponent(                                        801, FALSE  );      //Human Improved Computer
	allowComponent(                                        802, FALSE  );      //Human Advanced Computer
	allowComponent(                                        805,  TRUE  );      //Cybrid Basic Systems Control
	allowComponent(                                        806, FALSE  );      //Cybrid Enhanced Systems Control
	allowComponent(                                        807, FALSE  );      //Cybrid Advanced Systems Control
	allowComponent(                                        810, FALSE  );      //Guardian ECM
	allowComponent(                                        811, FALSE  );      //Doppleganger ECM
	allowComponent(                                        812, FALSE  );      //Cybrid Alpha ECM
	allowComponent(                                        813, FALSE  );      //Cybrid Beta ECM
	allowComponent(                                        820, FALSE  );      //Thermal Diffuser
	allowComponent(                                        830,  TRUE  );      //Chameleon
	allowComponent(                                        831,  TRUE  );      //Cuttlefish cloak
	allowComponent(                                        840, FALSE  );      //Shield Modulator
	allowComponent(                                        845, FALSE  );      //Shield Capacitor
	allowComponent(                                        850, FALSE  );      //Shield Amplifier (increases shield constant)
	allowComponent(                                        860, FALSE  );      //Laser Targeting Module
	allowComponent(                                        865,  TRUE  );      //Extra Battery
	allowComponent(                                        870, FALSE  );      //Reactor Capacitor
	allowComponent(                                        875, FALSE  );      //Field Stabilizer
	allowComponent(                                        880, FALSE  );      //Rocket Booster
	allowComponent(                                        885, FALSE  );      //Turbine Boost
	allowComponent(                                        890, FALSE  );      //NanoRepair
	allowComponent(                                        900, FALSE  );      //Angle Life Support
	allowComponent(                                        910, FALSE  );      //Agrav Generator
	allowComponent(                                        912, FALSE  );      //ElectroHull
	allowComponent(                                        914, FALSE  );      //UAP
}


