// FILENAME:	DM_Castle_Control.cs
//
// AUTHOR:  	SLaSh.  My credits to :e~ .:GoP:. |SoMeOnE| ~TL
//------------------------------------------------------------------------------

$missionName = "DM_Castle_Control";

$server::HudMapViewOffsetX = 410; 
$server::HudMapViewOffsetY = -4890; 

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	
}

function onMissionStart()
{
	// Keep tracks of hercs near a door
	$HercsAtDoor1 = 0;
	$HercsAtDoor2 = 0;   
}

//-------------------------------------------------------------

function player::onAdd(%this)
{
   say(%this, 0, "<f1>DM_Castle_Control. <f4>MaPz! by SLaSh.");
}

// Blast Door Functionality
// --------------------------------------------------------------------------

function door1::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlastDoors\\Door1"), 0, true);
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}
function door1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlastDoors\\Door1"), 0, false);
	}
}
function door2::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlastDoors\\Door2"), 0, true);
	}
	$hercsAtDoor2 = $hercsAtDoor2 + 1;
}
function door2::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor2 = $hercsAtDoor2 - 1;
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\BlastDoors\\Door2"), 0, false);
	}
}

// Transporter Functionality
// --------------------------------------------------------------------------

function DroneTele1::structure::onAttacked(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 408.975;
   %variableName2 = -4886.98;
   %variableName3 = 120.311;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function DroneTele2::structure::onAttacked(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 265.634;
   %variableName2 = -4798.92;
   %variableName3 = 120.3715;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function DroneTele3::structure::onAttacked(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 553.725;
   %variableName2 = -4798.92;
   %variableName3 = 120.4392;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function DroneTele4::structure::onAttacked(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 550.476;
   %variableName2 = -4977.48;
   %variableName3 = 120.8731;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function DroneTele5::structure::onAttacked(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 266.646;
   %variableName2 = -4978.19;
   %variableName3 = 120.5822;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function DroneTele6::structure::onAttacked(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 408.975;
   %variableName2 = -4886.98;
   %variableName3 = 155.311;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function GetOut1::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 313.994;
   %variableName2 = -4888.81;
   %variableName3 = 82.37;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function GetOut2::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 496.598;
   %variableName2 = -4888.46;
   %variableName3 = 82.37;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function towerY::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -112.638;
   %variableName2 = -4888.73;
   %variableName3 = 128.931;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function towerP::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 932.13;
   %variableName2 = -4889.14;
   %variableName3 = 128.931;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}
