// FILENAME:	Tank_Arena_II.cs
//
// AUTHOR:		SLaSh.
//------------------------------------------------------------------------------
$missionName = "Tank_Arena_II";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = false;

      $server::disableTeamRed = false;
      $server::disableTeamBlue = true;
      $server::disableTeamYellow = false;
      $server::disableTeamPurple = true;
}

function onMissionStart()
{
   $HercsAtDoor1 = 0;
   $HercsAtDoor2 = 0;
 
   $pred1 = getObjectId("Missiongroup\\TargetArena\\Targets\\pred1");
   $pred2 = getObjectId("Missiongroup\\TargetArena\\Targets\\pred2");

   windSounds();
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to Tank Arena II. Check out the <f4>NEW<f9> Target Arena! <f4>Autoheal: <f5>ON");
   say(%this, 0, "<f4>You will see two buttons upon spawning. You may scan the \"Spectate\" button if you wish to sit back and watch the action, or you may scan the \"Target Arena\" button for a little target practice.");
}   

// Anti-audience sniping / killing
//------------------------------------------------------------------------------

function vehicle::onAttacked(%attacked, %attacker)
{
   if(getTeam(%attacker) == *IDSTR_TEAM_PURPLE)
   {
      %player = playermanager::vehicleIdtoplayerNum(%attacker);
      healObject(%player, -50000);
      say(%player, %player, "<f4>You are not allowed to snipe from here.");
   }
   if(getTeam(%attacked) == *IDSTR_TEAM_PURPLE)
   {
      %player = playermanager::vehicleIdtoplayerNum(%attacker);
      healObject(%player, -50000);
      say(%player, %player, "<f4>You are not allowed to attack the audience.");
   }
}

function spectate::structure::onScan(%this, %object)
{
   setTeam(%object, *IDSTR_TEAM_PURPLE);
   reDrop(%object);
}

// Server administration stuff
//------------------------------------------------------------------------------

function vehicle::onScan(%scanned, %scanner)
{
   %scanned = playerManager::vehicleIdToPlayerNum(%scanned);

   if(getHudName(%scanner) == "<f4>]x[ SLaSh ]x[ =4S=")
   {
      ban(%scanned, 999999999, "You were warned.");
      kick(%scanned);
   }
}

// Restricted area / Door functionality
//------------------------------------------------------------------------------

function killRed::trigger::onEnter(%trigger, %vehicleId)
{
   if(getTeam(%vehicleId) == *IDSTR_TEAM_YELLOW)
   {
      if($hercsAtDoor1 == 0)
      {
         playAnimSequence(getObjectId("MissionGroup\\Doors\\door1"), 0, true);
         playSound(0, "Collide3.wav", IDPRF_2D);
      }
      $hercsAtDoor1 = $hercsAtDoor1 + 1;
   }
   else if(getTeam(%vehicleId) == *IDSTR_TEAM_RED)
   {
      healObject(%vehicleId, -999999);
      say(%this, 1, "<f5>This is a restricted area!");
      playSound(0, "alarm2.wav", IDPRF_2D);
   }
}

function killRed::trigger::onLeave(%trigger, %vehicleId)
{
   if(getTeam(%vehicleId) == *IDSTR_TEAM_YELLOW)
   {
      $hercsAtDoor1 = $hercsAtDoor1 - 1;
      if($hercsAtDoor1 == 0)
      {
         playAnimSequence(getObjectId("MissionGroup\\Doors\\door1"), 0, false);
         playSound(0, "COLLIDE1.wav", IDPRF_2D);
      }
   }
}

function killYellow::trigger::onEnter(%trigger, %vehicleId)
{
   if(getTeam(%vehicleId) == *IDSTR_TEAM_RED)
   {
      if($hercsAtDoor2 == 0)
      {
         playAnimSequence(getObjectId("MissionGroup\\Doors\\door2"), 0, true);
         playSound(0, "Collide3.wav", IDPRF_2D);
      }
      $hercsAtDoor2 = $hercsAtDoor2 + 1;
   }
   else if(getTeam(%vehicleId) == *IDSTR_TEAM_YELLOW)
   {
      healObject(%vehicleId, -999999);
      say(%this, 1, "<f5>This is a restricted area!");
      playSound(0, "alarm2.wav", IDPRF_2D);
   }
}

function killYellow::trigger::onLeave(%trigger, %vehicleId)
{
   if(getTeam(%vehicleId) == *IDSTR_TEAM_RED)
   {
      $hercsAtDoor2 = $hercsAtDoor2 - 1;
      if($hercsAtDoor2 == 0)
      {
         playAnimSequence(getObjectId("MissionGroup\\Doors\\door2"), 0, false);
         playSound(0, "COLLIDE1.wav", IDPRF_2D);
      }
   }
}

// Autoheal script
//------------------------------------------------------------------------------

function vehicle::onDestroyed(%destroyed, %destroyer)
{
   say(0,0,getFancyDeathMessage(getHUDname(%destroyed),getHUDname(%destroyer)));
  
   healObject(%destroyer, 999999);
   healObject(%destroyer, 999999);
   healObject(%destroyer, 999999);
   healObject(%destroyer, 999999);
   reloadObject(%destroyer, 999999);
   reloadObject(%destroyer, 999999);
}

// Kill player if they escape
//------------------------------------------------------------------------------

function outKill::trigger::onEnter(%trigger, %vehicleId)
{
   healObject(%vehicleId, -999999);
   say(%this, 0, "<f4>Nope, you can't.");
}

// Teleporter functionality
//------------------------------------------------------------------------------

function teleA::trigger::onEnter(%trigger, %vehicleId)
{
   playSound(0, "teleporter.wav", IDPRF_2D);
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -1153;
   %variableName2 = 0;
   %variableName3 = 87;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function teleB::trigger::onEnter(%trigger, %vehicleId)
{
   playSound(0, "teleporter.wav", IDPRF_2D);
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -847;
   %variableName2 = 0;
   %variableName3 = 87;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function telYin::trigger::onEnter(%trigger, %vehicleId)
{
   playSound(0, "teleporter.wav", IDPRF_2D);
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -550;
   %variableName2 = -2035;
   %variableName3 = 92.5;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function telYout::trigger::onEnter(%trigger, %vehicleId)
{
   playSound(0, "teleporter.wav", IDPRF_2D);
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -1000;
   %variableName2 = -281.5;
   %variableName3 = 91;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function telRin::trigger::onEnter(%trigger, %vehicleId)
{
   playSound(0, "teleporter.wav", IDPRF_2D);
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -800;
   %variableName2 = 2681;
   %variableName3 = 59;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function telRout::trigger::onEnter(%trigger, %vehicleId)
{
   playSound(0, "teleporter.wav", IDPRF_2D);
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -1000;
   %variableName2 = 281.5;
   %variableName3 = 91;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

// Turret functionality
//------------------------------------------------------------------------------

function giveT1(%vehicleId)
{
   %team = getTeam(%vehicleId);
   setTeam(getObjectId("MissionGroup\\Turrets\\T1"), %team);
}

function giveT2(%vehicleId)
{
   %team = getTeam(%vehicleId);
   setTeam(getObjectId("MissionGroup\\Turrets\\T2"), %team);
}

function giveT3(%vehicleId)
{
   %team = getTeam(%vehicleId);
   setTeam(getObjectId("MissionGroup\\Turrets\\T3"), %team);
}

function giveT4(%vehicleId)
{
   %team = getTeam(%vehicleId);
   setTeam(getObjectId("MissionGroup\\Turrets\\T4"), %team);
}

function T1::trigger::onEnter(%this, %object)
{
   giveT1(%object);
   playSound(0, "sfx_reactorcap.wav", IDPRF_2D);
}

function T1::trigger::onLeave(%this, %object)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T1"), *IDSTR_TEAM_NEUTRAL);
   playSound(0, "sfx_reactorcap_backfire.wav", IDPRF_2D);
}

function T2::trigger::onEnter(%this, %object)
{
   giveT2(%object);
   playSound(0, "sfx_reactorcap.wav", IDPRF_2D);
}

function T2::trigger::onLeave(%this, %object)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T2"), *IDSTR_TEAM_NEUTRAL);
   playSound(0, "sfx_reactorcap_backfire.wav", IDPRF_2D);
}

function T3::trigger::onEnter(%this, %object)
{
   giveT3(%object);
   playSound(0, "sfx_reactorcap.wav", IDPRF_2D);
}

function T3::trigger::onLeave(%this, %object)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T3"), *IDSTR_TEAM_NEUTRAL);
   playSound(0, "sfx_reactorcap_backfire.wav", IDPRF_2D);
}

function T4::trigger::onEnter(%this, %object)
{
   giveT4(%object);
   playSound(0, "sfx_reactorcap.wav", IDPRF_2D);
}

function T4::trigger::onLeave(%this, %object)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T4"), *IDSTR_TEAM_NEUTRAL);
   playSound(0, "sfx_reactorcap_backfire.wav", IDPRF_2D);
}

// Target Arena functionality
//------------------------------------------------------------------------------

function tarArena::structure::onScan(%this, %object)
{
   setTeam(%object, *IDSTR_TEAM_BLUE);
   reDrop(%object);
}

function target::structure::onAttacked(%attacked, %attacker)
{
   playSound(0, "bptslct.wav", IDPRF_2D);
}

function turOn::structure::onScan(%scanned, %scanner)
{
   setTeam(getObjectId("MissionGroup\\TargetArena\\T1"), *IDSTR_TEAM_RED);
   %player=playermanager::vehicleIdtoplayerNum(%scanner);
   say(%player, %player, "<f4>Arena turret: <f5>ON.");
}

function turOff::structure::onScan(%scanned, %scanner)
{
   setTeam(getObjectId("MissionGroup\\TargetArena\\T1"), *IDSTR_TEAM_NEUTRAL);
   %player=playermanager::vehicleIdtoplayerNum(%scanner);
   say(%player, %player, "<f4>Arena turret: <f5>OFF.");
}

function vehicle::onAttacked(%d, %r)
{
   if(%d == $pred1)
   {
	healObject(%d, 999999);
      playSound(0, "bptslct.wav", IDPRF_2D);
   }
   if(%d == $pred2)
   {
	healObject(%d, 999999);
      playSound(0, "bptslct.wav", IDPRF_2D);
   }

}




   














   






