// FILENAME:	Target_Training.cs
// AUTHOR:  	SLaSh.
//------------------------------------------------------------------------------

$missionName = "Target_Training";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

$killPoints = 1;
$deathPoints = 0;

$padWaitTime = 0;

$server::HudMapViewOffsetX = -1000;
$server::HudMapViewOffsetY = -450;

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = false;

      $server::disableTeamRed = false;
      $server::disableTeamBlue = true;
      $server::disableTeamYellow = false;
      $server::disableTeamPurple = true;
}

function onMissionLoad()
{
   $path1 = "Missiongroup\\Paths\\path1";
   $path2 = "Missiongroup\\Paths\\path2";

   setPilotId($tank1, 29); 
   setPilotId($tank2, 29);
   setPilotId($tank3, 28);
   setPilotId($tank4, 28);

   $seek1 = getObjectId("Missiongroup\\AI\\seek1");
   order($seek1, guard, $path1);
   order($seek1, speed, high);
   $seek2 = getObjectId("Missiongroup\\AI\\seek2");
   order($seek2, guard, $path1);
   order($seek2, speed, high);
   $seek3 = getObjectId("Missiongroup\\AI\\seek3");
   order($seek3, guard, $path1);
   order($seek3, speed, high);
   $seek4 = getObjectId("Missiongroup\\AI\\seek4");
   order($seek4, guard, $path1);
   $seek5 = getObjectId("Missiongroup\\AI\\seek5");
   order($seek5, guard, $path1);
   $seek6 = getObjectId("Missiongroup\\AI\\seek6");
   order($seek6, guard, $path1);
   $tank1 = getObjectId("Missiongroup\\AI\\tank1");
   order($tank1, guard, $path2);
   order($tank1, speed, high);
   $tank2 = getObjectId("Missiongroup\\AI\\tank2");
   order($tank2, guard, $path2); 
   order($tank2, speed, high);
   $tank3 = getObjectId("Missiongroup\\AI\\tank3");
   order($tank3, guard, $path2); 
   order($tank3, speed, high);
   $tank4 = getObjectId("Missiongroup\\AI\\tank4");
   order($tank4, guard, $path2);   
   order($tank4, speed, high);
}

// Welcome message
// --------------------------------------------------------------------------------

function player::onAdd(%this)
{ 
   say(%this, 0, "<f4>TARGET TRAINING!!!  <f5>MaPz! by SLaSh.  <f4>Hone your ass kicking skillz here.");
   say(%this, 0, "<f1>Yellow Team: Seeker Smash!");
   say(%this, 0, "<f1>Red Team: Tank Training!");
}

// Server administration stuff
//------------------------------------------------------------------------------

function vehicle::onScan(%scanned, %scanner)
{
   %scanned = playerManager::vehicleIdToPlayerNum(%scanned);

   if(getHudName(%scanner) == "=EtG= ]x[ SLaSh")
   {
      ban(%scanned, 999999999, "You were warned.");
      kick(%scanned);
   }
}

// Death Messages / Clone and reDrop AIs
// --------------------------------------------------------------------------------

function vehicle::onDestroyed(%destroyed, %destroyer)
{
   say(0,0,getFancyDeathMessage(getHUDname(%destroyed),getHUDname(%destroyer)));

   if(%destroyed == $seek1)
   {
      $seek1 = cloneVehicle(%destroyed);
      setTeam($seek1, getTeam(%destroyed));
      reDrop($seek1);
      schedule("deleteObject(" @ %destroyed @ ");", 5);
   }
   if(%destroyed == $seek2)
   {
      $seek2 = cloneVehicle(%destroyed);
      setTeam($seek2, getTeam(%destroyed));
      reDrop($seek2);
      schedule("deleteObject(" @ %destroyed @ ");", 5);
   }
   if(%destroyed == $seek3)
   {
      $seek3 = cloneVehicle(%destroyed);
      setTeam($seek3, getTeam(%destroyed));
      reDrop($seek3);
      schedule("deleteObject(" @ %destroyed @ ");", 5);
   }
   if(%destroyed == $seek4)
   {
      $seek4 = cloneVehicle(%destroyed);
      setTeam($seek4, getTeam(%destroyed));
      reDrop($seek4);
      schedule("deleteObject(" @ %destroyed @ ");", 5);
   }
   if(%destroyed == $seek5)
   {
      $seek5 = cloneVehicle(%destroyed);
      setTeam($seek5, getTeam(%destroyed));
      reDrop($seek5);
      schedule("deleteObject(" @ %destroyed @ ");", 5);
   }
   if(%destroyed == $seek6)
   {
      $seek6 = cloneVehicle(%destroyed);
      setTeam($seek6, getTeam(%destroyed));
      reDrop($seek6);
      schedule("deleteObject(" @ %destroyed @ ");", 5);
   }
   if(%destroyed == $tank1)
   {
      $tank1 = cloneVehicle(%destroyed);
      setTeam($tank1, getTeam(%destroyed));
      reDrop($tank1);
      setPosition($tank1, -640, -900, 50);
      schedule("deleteObject(" @ %destroyed @ ");", 5);
      healObject(%destroyer, 50000);
      healObject(%destroyer, 50000);
      healObject(%destroyer, 50000);
      reloadObject(%destroyer, 50000);
   }
   if(%destroyed == $tank2)
   {
      $tank2 = cloneVehicle(%destroyed);
      setTeam($tank2, getTeam(%destroyed));
      reDrop($tank2);
      setPosition($tank2, -1000, -510, 50);
      schedule("deleteObject(" @ %destroyed @ ");", 5);
      healObject(%destroyer, 50000);
      healObject(%destroyer, 50000);
      healObject(%destroyer, 50000);
      reloadObject(%destroyer, 50000);
   }
   if(%destroyed == $tank3)
   {
      $tank3 = cloneVehicle(%destroyed);
      setTeam($tank3, getTeam(%destroyed));
      reDrop($tank3);
      setPosition($tank3, -1000, -1290, 50);
      schedule("deleteObject(" @ %destroyed @ ");", 5);
      healObject(%destroyer, 50000);
      healObject(%destroyer, 50000);
      healObject(%destroyer, 50000);
      reloadObject(%destroyer, 50000);
   }
   if(%destroyed == $tank4)
   {
      $tank4 = cloneVehicle(%destroyed);
      setTeam($tank4, getTeam(%destroyed));
      reDrop($tank4);
      setPosition($tank4, -1360, -900, 50);
      schedule("deleteObject(" @ %destroyed @ ");", 5);
      healObject(%destroyer, 50000);
      healObject(%destroyer, 50000);
      healObject(%destroyer, 50000);
      reloadObject(%destroyer, 50000);
   }
}

// Pilots
// --------------------------------------------------------------------------------

Pilot Elite
{
   id = 28;

   name = "Elite Tanker";

   skill = 1.0;
   accuracy = 0.8;
   aggressiveness = 2.0;
   activateDist = 1000.0;
   deactivateBuff = 1000.0;
   targetFreq = 2.0;
   trackFreq = 0.0;
   fireFreq = 0.2;
   LOSFreq = 0.2;
   orderFreq = 2.0;
};

Pilot Veteran
{
   id = 29;

   name = "Veteran Tanker";

   skill = 1.0;
   accuracy = 0.7;
   aggressiveness = 2.0;
   activateDist = 1000.0;
   deactivateBuff = 1000.0;
   targetFreq = 2.0;
   trackFreq = 0.0;
   fireFreq = 0.2;
   LOSFreq = 0.2;
   orderFreq = 2.0;
};


// Button functions / Triggers
// --------------------------------------------------------------------------------

function tank1O::structure::onScan(%this, %object)
{       
   playAnimSequence(getObjectId("MissionGroup\\Doors\\Door1"), 0, true);
   playSound(0, "Collide3.wav", IDPRF_2D);    
}

function tank1C::trigger::onLeave(%this, %object)
{       
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door1"), 0, false);
        playSound(0, "COLLIDE1", IDPRF_2D);      
}

function tank2O::structure::onScan(%this, %object)
{       
   playAnimSequence(getObjectId("MissionGroup\\Doors\\Door2"), 0, true);
   playSound(0, "Collide3.wav", IDPRF_2D);   
}

function tank2C::trigger::onLeave(%this, %object)
{       
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door2"), 0, false);
        playSound(0, "COLLIDE1", IDPRF_2D);      
}

function tank3O::structure::onScan(%this, %object)
{       
   playAnimSequence(getObjectId("MissionGroup\\Doors\\Door3"), 0, true);
   playSound(0, "Collide3.wav", IDPRF_2D);   
}

function tank3C::trigger::onLeave(%this, %object)
{       
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door3"), 0, false);
        playSound(0, "COLLIDE1", IDPRF_2D);      
}

function tank4O::structure::onScan(%this, %object)
{       
   playAnimSequence(getObjectId("MissionGroup\\Doors\\Door4"), 0, true);
   playSound(0, "Collide3.wav", IDPRF_2D); 
}

function tank4C::trigger::onLeave(%this, %object)
{       
        playAnimSequence(getObjectId("MissionGroup\\Doors\\Door4"), 0, false);
        playSound(0, "COLLIDE1", IDPRF_2D);      
}

// Tank message / Spectation
// --------------------------------------------------------------------------------

function tankInfo::structure::onScan(%scanned, %scanner)
{
   %player=playermanager::vehicleIdtoplayerNum(%scanner);
   say(%player, %player, "<f4>Welcome to the AI tank arena. Scan any button to release an AI tank.");
}

// Post-mission cleanup
// --------------------------------------------------------------------------------

function onMissionEnd()
{
   flushConsoleScheduler();
   deleteObject($seek1);
   deleteObject($seek2);
   deleteObject($seek3);
   deleteObject($seek4);
   deleteObject($seek5);
   deleteObject($seek6);
   deleteObject($tank1);
   deleteObject($tank2);
   deleteObject($tank3);
   deleteObject($tank4);
}
