// FILENAME:	CTF_Switches.cs
// AUTHOR:  	SLaSh.
//------------------------------------------------------------------------------

$missionName = "CTF_Switches";

$maxFlagCount  = 6;
$flagTime = 180;

exec("multiplayerStdLib.cs");
exec("CTFstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
   // Keep tracks of hercs near a door
   $HercsAtDoor1 = 0;
   $HercsAtDoor2 = 0;
   $HercsAtDoor3 = 0;
   $HercsAtDoor4 = 0;   

   initGlobalVars();
   temperateSounds();
}

// Opening Message
//-------------------------------------------------------------

function player::onAdd(%this)
{
   say(%this, 0, "<f5>MaPz! by SLaSh.");
}

// Blast Door Functionality
// --------------------------------------------------------------------------

function open1::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door1"), 0, true);
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}

function open1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door1"), 0, false);
	}
}

function open2::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door2"), 0, true);
	}
	$hercsAtDoor2 = $hercsAtDoor2 + 1;
}

function open2::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor2 = $hercsAtDoor2 - 1;
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door2"), 0, false);
	}
}

function open3::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor3 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door3"), 0, true);
	}
	$hercsAtDoor3 = $hercsAtDoor3 + 1;
}

function open3::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor3 = $hercsAtDoor3 - 1;
	if($hercsAtDoor3 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door3"), 0, false);
	}
}

function open4::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor4 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door4"), 0, true);
	}
	$hercsAtDoor4 = $hercsAtDoor4 + 1;
}

function open4::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor4 = $hercsAtDoor4 - 1;
	if($hercsAtDoor4 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door4"), 0, false);
	}
}

// Animations
//------------------------------------------------------------------------------

function dish1::trigger::onEnter(%this, %object)
{
   playAnimSequence(getObjectId("MissionGroup\\decor\\dish1"), 0, true);
}

function dish1::trigger::onLeave(%this, %object)
{
   playAnimSequence(getObjectId("MissionGroup\\Decor\\dish1"), 0, false);
}

function dish2::trigger::onEnter(%this, %object)
{
   playAnimSequence(getObjectId("MissionGroup\\decor\\dish2"), 0, true);
}

function dish2::trigger::onLeave(%this, %object)
{
   playAnimSequence(getObjectId("MissionGroup\\Decor\\dish2"), 0, false);
}

// Switches / Turret Control
//------------------------------------------------------------------------------

function t1on::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T1"), *IDSTR_TEAM_PURPLE);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen1"), 0, true);
}

function t1off::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T1"), *IDSTR_TEAM_NEUTRAL);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen1"), 0, false);
}

function t2on::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T2"), *IDSTR_TEAM_PURPLE);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen2"), 0, true);
}

function t2off::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T2"), *IDSTR_TEAM_NEUTRAL);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen2"), 0, false);
}

function t3on::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T3"), *IDSTR_TEAM_BLUE);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen3"), 0, true);
}

function t3off::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T3"), *IDSTR_TEAM_NEUTRAL);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen3"), 0, false);
}

function t4on::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T4"), *IDSTR_TEAM_BLUE);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen4"), 0, true);
}

function t4off::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T4"), *IDSTR_TEAM_NEUTRAL);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen4"), 0, false);
}

function giveT5(%vehicleId)
{
   %team = getTeam(%vehicleId);
   setTeam(getObjectId("MissionGroup\\Turrets\\T5"), %team);
}

function t5on::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T5"), %team);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen5"), 0, true);
}

function t5off::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T5"), *IDSTR_TEAM_NEUTRAL);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen5"), 0, false);
}

function giveT6(%vehicleId)
{
   %team = getTeam(%vehicleId);
   setTeam(getObjectId("MissionGroup\\Turrets\\T6"), %team);
}

function t6on::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T6"), %team);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen6"), 0, true);
}

function t6off::structure::onAttacked(%d, %r)
{
   setTeam(getObjectId("MissionGroup\\Turrets\\T6"), *IDSTR_TEAM_NEUTRAL);
   playAnimSequence(getObjectId("MissionGroup\\Decor\\listen6"), 0, false);
}











