// FILENAME:	CTF_Implosion.cs
// AUTHOR:  	SLaSh.
//------------------------------------------------------------------------------

$missionName = "CTF_Implosion";

$maxFlagCount  = 6;
$flagTime = 120;

exec("multiplayerStdLib.cs");
exec("CTFstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
   // Keep tracks of hercs near a door
   $HercsAtDoor1 = 0;
   $HercsAtDoor2 = 0;   

   initGlobalVars();
   windSounds();
}

// Animations
//------------------------------------------------------------------------------

function listen::trigger::onEnter(%this, %object)
{
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L1"), 0, true);
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L2"), 0, true);
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L3"), 0, true);
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L4"), 0, true);
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L5"), 0, true);
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L6"), 0, true);
}

function listen::trigger::onLeave(%this, %object)
{
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L1"), 0, false);
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L2"), 0, false);
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L3"), 0, false);
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L4"), 0, false);
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L5"), 0, false);
   playAnimSequence(getObjectId("MissionGroup\\Listeners\\L6"), 0, false);
}

// Teleporter functionality
//------------------------------------------------------------------------------

function telePL1::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 855;
   %variableName2 = 100;
   %variableName3 = 50;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function telePR1::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 855;
   %variableName2 = -100;
   %variableName3 = 50;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function teleBL1::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -855;
   %variableName2 =-100;
   %variableName3 = 50;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function teleBR1::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -855;
   %variableName2 = 100;
   %variableName3 = 50;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function telePL::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 235;
   %variableName2 = 200;
   %variableName3 = 53;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function telePR::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 235;
   %variableName2 = -200;
   %variableName3 = 53;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function teleBL::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -235;
   %variableName2 = -200;
   %variableName3 = 53;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function teleBR::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -235;
   %variableName2 = 200;
   %variableName3 = 53;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function up1::structure::onAttacked(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 0;
   %variableName2 = -200;
   %variableName3 = 107;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function up2::structure::onAttacked(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 0;
   %variableName2 = 200;
   %variableName3 = 107;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

// Blast Door Functionality
// --------------------------------------------------------------------------

function open1::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door1"), 0, true);
            playSound(0, "Collide3.wav", IDPRF_2D);
	}
	$hercsAtDoor1 = $hercsAtDoor1 + 1;
}
function open1::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor1 = $hercsAtDoor1 - 1;
	if($hercsAtDoor1 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door1"), 0, false);
            playSound(0, "COLLIDE1", IDPRF_2D);
	}
}
function open2::trigger::onEnter(%this, %vehicleId){
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door2"), 0, true);
            playSound(0, "Collide3.wav", IDPRF_2D);
	}
	$hercsAtDoor2 = $hercsAtDoor2 + 1;
}
function open2::trigger::onLeave(%this, %vehicleId){
	$hercsAtDoor2 = $hercsAtDoor2 - 1;
	if($hercsAtDoor2 == 0){
		playAnimSequence(getObjectId("MissionGroup\\Doors\\Door2"), 0, false);
            playSound(0, "COLLIDE1", IDPRF_2D);
	}
}














