// FILENAME:	CTF_Castle_Chaos.cs
//
// AUTHOR:  	SLaSh
//------------------------------------------------------------------------------

$missionName = "CTF_Castle_Chaos";

exec("multiplayerStdLib.cs");
exec("CTFstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
        // Keep tracks of hercs near a door
	  $HercsAtDoor1 = 0;
	  $HercsAtDoor2 = 0; 
	  $HercsAtDoor3 = 0;
	  $HercsAtDoor4 = 0;
  
	  $d1 = getObjectId("MissionGroup\\BlastDoors\\d1");
        $d2 = getObjectId("MissionGroup\\BlastDoors\\d2");
        $d3 = getObjectId("MissionGroup\\BlastDoors\\d3");
        $d4 = getObjectId("MissionGroup\\BlastDoors\\d4");
        $d5 = getObjectId("MissionGroup\\BlastDoors\\d5");
        $d6 = getObjectId("MissionGroup\\BlastDoors\\d6");
        $d7 = getObjectId("MissionGroup\\BlastDoors\\d7");
        $d8 = getObjectId("MissionGroup\\BlastDoors\\d8");

        windSounds();
}

//-------------------------------------------------------------

function player::onAdd(%this)
{
   say(%this, 0, "<F5>Two Teams.  Two castles.  Who will be victorious?  MaPz! by SLaSh.");
}   

// Blast Door Functionality
// --------------------------------------------------------------------------

function door1::trigger::onEnter(%this, %vehicleId)
{
     if($hercsAtDoor1 == 0)
     {
	  playAnimSequence($d1, 0, true);
        playAnimSequence($d2, 0, true);
     }
     $hercsAtDoor1 = $hercsAtDoor1 + 1;
}

function door1::trigger::onLeave(%this, %vehicleId)
{
     $hercsAtDoor1 = $hercsAtDoor1 - 1;
     if($hercsAtDoor1 == 0)
     {
	  playAnimSequence($d1, 0, false);
        playAnimSequence($d2, 0, false);
     }
}

function door2::trigger::onEnter(%this, %vehicleId)
{
     if($hercsAtDoor2 == 0)
     {
	  playAnimSequence($d3, 0, true);
        playAnimSequence($d4, 0, true);
     }
     $hercsAtDoor2 = $hercsAtDoor2 + 1;
}

function door2::trigger::onLeave(%this, %vehicleId)
{
     $hercsAtDoor2 = $hercsAtDoor2 - 1;
     if($hercsAtDoor2 == 0)
     {
	  playAnimSequence($d3, 0, false);
        playAnimSequence($d4, 0, false);
     }
}

function door3::trigger::onEnter(%this, %vehicleId)
{
     if($hercsAtDoor3 == 0)
     {
	  playAnimSequence($d5, 0, true);
        playAnimSequence($d6, 0, true);     
     }
     $hercsAtDoor3 = $hercsAtDoor3 + 1;
}

function door3::trigger::onLeave(%this, %vehicleId)
{
     $hercsAtDoor3 = $hercsAtDoor3 - 1;
     if($hercsAtDoor3 == 0)
     {
	  playAnimSequence($d5, 0, false);
        playAnimSequence($d6, 0, false);
     }
}

function door4::trigger::onEnter(%this, %vehicleId)
{
     if($hercsAtDoor4 == 0)
     {
	  playAnimSequence($d7, 0, true);
        playAnimSequence($d8, 0, true);
     }
     $hercsAtDoor4 = $hercsAtDoor4 + 1;
}

function door4::trigger::onLeave(%this, %vehicleId)
{
     $hercsAtDoor4 = $hercsAtDoor4 - 1;
     if($hercsAtDoor4 == 0)
     {
	  playAnimSequence($d7, 0, false);
        playAnimSequence($d8, 0, false);
     }
}

// Transporter Functionality
// --------------------------------------------------------------------------

function BLevel1::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 504.916;
   %variableName2 = -624.369;
   %variableName3 = 230;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function Tower1::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 216.983;
   %variableName2 = -451.734;
   %variableName3 = 321.557;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function Tower2::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 215.565;
   %variableName2 = -796.939;
   %variableName3 = 321.557;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function Tower3::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 503.737;
   %variableName2 = -796.764;
   %variableName3 = 321.557;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function Tower4::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 504.777;
   %variableName2 = -452.217;
   %variableName3 = 321.557;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function GetOutB::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = 291.294;
   %variableName2 = -535.967;
   %variableName3 = 194.803;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function PLevel1::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -1430.98;
   %variableName2 = -927.977;
   %variableName3 = 260;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function Tower5::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -1143.9;
   %variableName2 = -1100.44;
   %variableName3 = 355.286;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function Tower6::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -1143.94;
   %variableName2 = -755.69;
   %variableName3 = 355.286;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function Tower7::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -1431.59;
   %variableName2 = -756.156;
   %variableName3 = 355.286;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function Tower8::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -1430.99;
   %variableName2 = -1101.05;
   %variableName3 = 355.286;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}

function GetOutP::trigger::onEnter(%trigger, %vehicleId)
{
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);
   %variableName1 = -1227.73;
   %variableName2 = -1004.64;
   %variableName3 = 222.312;
   setPosition(%vehicleId, %variableName1, %variableName2, %variableName3);
}
